<?php

//  Copyright (c) 2008, Karelia Software. All rights reserved.
//
//  Redistribution and use in source and binary forms, with or without
//  modification, are permitted provided that the following conditions are met:
//
//  *  Redistribution of source code must retain the above copyright notice,
//     this list of conditions and the follow disclaimer.
//
//  *  Redistributions in binary form must reproduce the above copyright notice,
//     this list of conditions and the following disclaimer in the documentation
//     and/or other material provided with the distribution.
//
//  *  Neither the name of Karelia Software nor the names of its contributors
//     may be used to endorse or promote products derived from this software
//     without specific prior written permission.
//
//  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS-IS"
//  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
//  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
//  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
//  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
//  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
//  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
//  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
//  ARISING IN ANY WAY OUR OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
//  POSSIBILITY OF SUCH DAMAGE.
//

$lang = 'en';	// default if none other is set
if (isset($_GET['lang'])) {
	$lang = $_GET['lang'];
} else if (isset($_SERVER['HTTP_ACCEPT_LANGUAGE'])) {
	$lang = $_SERVER['HTTP_ACCEPT_LANGUAGE'];
}
$lang = strtolower($lang);	// make lowercase for easier compare
$la = substr($lang,0,2);	// two letter code, use this usually


// NOTE: THESE USE %@ AS THE PLACEHOLDER FOR SOMETHING.  NEED TO SUBST.


if ( $la== 'fr' )
{
	$SIDEBAR_TITLE 			= "Barre latérale";
	$SIDEBAR_SKIP			= "[Passer]";
	$BACK_TO_TOP			= "[Haut de page]";
	$MISSING_SENDER			= "Vous n'avez pas saisi votre adresse électronique, donc votre message n'a pas été envoyé.";
	$MISSING_MESSAGE		= "Vous n'avez pas saisi un message, donc aucun message n'a été envoyé.";
	$BAD_DESTINATION_FORMAT	= "Le code de vérification sur le formulaire Web à \"%@\" est invalide, donc votre message n'a pas été envoyé.";
	$MISSING_DESTINATION	= "Ne peut pas envoyer le message -- le créateur de cette page Web n'a pas indiqué un adresse électronique valide pour recevoir des messages.";
	$UNABLE_TO_SEND_FORMAT	= "Impossible d'envoyer le message :  %@";
	$UNABLE_TO_SEND			= "Impossible d'envoyer le message.";
	$FALLBACK_SUBJECT		= "Message du formulaire de contact de votre site Web Sandvox";
	$MESSAGE_SENT			= "Votre message a été envoyé avec succès par courrier électronique.";
	$RETURN_TO_FORMAT		= "Retour à %@";
}
else if ( $la== 'ja' )
{
	$SIDEBAR_TITLE 			= "サイドバー";
	$SIDEBAR_SKIP			= "[スキップ]";
	$BACK_TO_TOP			= "[上に戻る]";
	$MISSING_SENDER			= "メールアドレスが入力されていなかったのでメッセージは送信されませんでした。";
	$MISSING_MESSAGE		= "メッセージ内容が入力されていなかったので送信されませんでした。";
	$BAD_DESTINATION_FORMAT	= "ウェブフォームの\"%@\"の確認コードが無効であったためメッセージは送信されませんでした。";
	$MISSING_DESTINATION	= "メッセージが送信できません。 --   このウェブページの作者が受信可能なメールアドレスを指定していません。";
	$UNABLE_TO_SEND_FORMAT	= "メール送信不可: %@";
	$UNABLE_TO_SEND			= "メールを送信できません。";
	$FALLBACK_SUBJECT		= "あなたの Sandvox サイトからのコンタクトフォームメッセージ";
	$MESSAGE_SENT			= "あなたのメッセージはメールにて送信が完了しました。";
	$RETURN_TO_FORMAT		= "%@サイトに戻る";
}
else if ( $la== 'sv' || $la== 'sw' )
{
	$SIDEBAR_TITLE 				= "Sidopanel";
	$SIDEBAR_SKIP				= "[ta bort]";
	$BACK_TO_TOP				= "[Tillbaka till toppen]";
	$MISSING_SENDER				= "Du angav inte din e-postadress. Meddelandet sändes inte.";
	$MISSING_MESSAGE			= "Du skrev inte något meddelande. Meddelandet sändes inte.";
	$BAD_DESTINATION_FORMAT		= "Verifikationskoden på web-formuläret på \"%@\" var inte giltigt. Meddelandet kunde inte sändas.";
	$MISSING_DESTINATION		= "Kan inte sända meddelandet -- skaparen av denna web-sida har inte specificerat en giltig e-postadress för att ta emot meddelanden.";
	$UNABLE_TO_SEND_FORMAT		= "Kan inte sända e-postmeddelande: %@";
	$UNABLE_TO_SEND				= "Kan inte sända e-postmeddelande.";
	$FALLBACK_SUBJECT			= "Kontakt Formulär Meddelande från din Sandvox Website";
	$MESSAGE_SENT				= "Ditt meddelande har sänts via e-post.";
	$RETURN_TO_FORMAT			= "Tillbaka till %@";
}
else if ( $la== 'de' )
{
	$SIDEBAR_TITLE 			= "Seitenleiste";
	$SIDEBAR_SKIP			= "[Überspringen]";
	$BACK_TO_TOP			= "[Nach oben]";
	$MISSING_SENDER			= "Sie haben Ihrer E-Mail Adresse nicht angegeben, daher wurde Ihre Nachricht nicht versandt.";
	$MISSING_MESSAGE		= "Sie haben keine Nachricht eingegeben, daher wurde Ihre Nachricht nicht versandt.";
	$BAD_DESTINATION_FORMAT	= "Der Bestätigungscode im Web-Formular bei \"%@\" war ungültig, daher konnte Ihre Nachricht nicht versendt werden.";
	$MISSING_DESTINATION	= "Die Nachricht kann nicht gesendt werden -- Der Verfasser dieser Webseite hat keine gültige E-Mail Adresse angegeben, um Nachrichten zu empfangen.";
	$UNABLE_TO_SEND_FORMAT	= "Nachricht konnte nicht gesendet werden: %@";
	$UNABLE_TO_SEND			= "Nachricht konnte nicht gesendet werden.";
	$FALLBACK_SUBJECT		= "Kontaktformular-Nachricht von Ihrer Sandvox Webseite";
	$MESSAGE_SENT			= "Ihre Nachricht wurde erfolgreich per E-Mail versandt.";
	$RETURN_TO_FORMAT		= "Zurück zu %@";
}
else if ( $la== 'it' )
{
	$SIDEBAR_TITLE 			= "Barra laterale";
	$SIDEBAR_SKIP			= "[Ignora]";
	$BACK_TO_TOP			= "[Vai sopra]";
	$MISSING_SENDER			= "Non hai inserito  il tuo indirizzo e-mail quindi il messaggio non è stato inviato.";
	$MISSING_MESSAGE		= "Non hai inserito un messaggio, quindi non è stato inviato nulla.";
	$BAD_DESTINATION_FORMAT	= "Il codice di verifica sul modulo web su \"%@\" non era valido, quindi il tuo messaggio non è stato inviato";
	$MISSING_DESTINATION	= "Non posso mandare il messaggio -- il creatore di questa pagina web non ha specificato un indirizzo e-mail valido per ricevere messaggi.";
	$UNABLE_TO_SEND_FORMAT	= "Non posso mandare il messaggio e-mail: %@";
	$UNABLE_TO_SEND			= "Non posso mandare il messaggio e-mail.";
	$FALLBACK_SUBJECT		= "Messaggio del modulo di contatto dal sito web di Sandvox";
	$MESSAGE_SENT			= "Il messaggio è stato inviato con successo.";
	$RETURN_TO_FORMAT		= "Torna a %@";
}
else if ( $la== 'da' )
{
	$SIDEBAR_TITLE 			= "Sidepanel";
	$SIDEBAR_SKIP			= "[Spring over]";
	$BACK_TO_TOP			= "[Tilbage til top]";
	$MISSING_SENDER			= "Du skrev ikke din emailadresse, så din meddelelse blev ikke sendt.";
	$MISSING_MESSAGE		= "Du skrev ikke en meddelelse, så din email blev ikke sendt.";
	$BAD_DESTINATION_FORMAT	= "Adgangskoden i formularen på \"%@\" var ikke gyldig, så den meddelelse kan ikke sendes.";
	$MISSING_DESTINATION	= "Kan ikke sende meddelelse -- websidens ophavsmand har ikke angivet en gyldig emailadresse til modtagelse af meddelelser.";
	$UNABLE_TO_SEND_FORMAT	= "Kunne ikke sende meddelelse : %@";
	$UNABLE_TO_SEND			= "Kunne ikke sende meddelelse.";
	$FALLBACK_SUBJECT		= "Kontakformularmeddelelse fra din Sandvox website";
	$MESSAGE_SENT			= "Din meddelelse er blevet sendt via email.";
	$RETURN_TO_FORMAT		= "Retur til %@";
}
else if ( $lang== 'zh_tw' )
{
	$SIDEBAR_TITLE 			= "側邊欄";
	$SIDEBAR_SKIP			= "[略過]";
	$BACK_TO_TOP			= "[返回頁首]";
	$MISSING_SENDER			= "您並未輸入電子郵件地址，因此訊息無法送出。";
	$MISSING_MESSAGE		= "您並未輸入訊息內容，因此訊息無法送出。";
	$BAD_DESTINATION_FORMAT	= "於 \"%@\" 網頁表單的驗證碼無效，因此訊息無法送出。";
	$MISSING_DESTINATION	= "無法送出訊息—此網頁的製作人員並未指定接收訊息的有效電子郵件地址。";
	$UNABLE_TO_SEND_FORMAT	= "無法送出郵件訊息：%@";
	$UNABLE_TO_SEND			= "無法送出郵件訊息。";
	$FALLBACK_SUBJECT		= "來自您 Sandvox 網站的連絡表單訊息";
	$MESSAGE_SENT			= "您的訊息已順利使用電子郵件送出。";
	$RETURN_TO_FORMAT		= "返回 %@";
}
else if ( $lang== 'zh_cn' )
{
	$SIDEBAR_TITLE 			= "侧边栏";
	$SIDEBAR_SKIP			= "[跳过]";
	$BACK_TO_TOP			= "[返回页首]";
	$MISSING_SENDER			= "你没有输入电子邮件地址，因此你的信息没被发送。";
	$MISSING_MESSAGE		= "你没有输入信息，因此没有信息被发送。";
	$BAD_DESTINATION_FORMAT	= "网络表单上位于 \"%@\" 的验证码是无效的，因此你的信息不能被发送。";
	$MISSING_DESTINATION	= "不能发送信息 -- 网页的创建者没有指定用来接收邮件的电邮地址。";
	$UNABLE_TO_SEND_FORMAT	= "不能发送邮件信息：%@";
	$UNABLE_TO_SEND			= "不能发送邮件信息。";
	$FALLBACK_SUBJECT		= "自你的 Sandvox 网站上的联系表单信息";
	$MESSAGE_SENT			= "你的信息已通过电子邮件被成功发送。";
	$RETURN_TO_FORMAT		= "回到 %@";
}
else	// English, fallback
{
	$SIDEBAR_TITLE 			= "Sidebar";
	$SIDEBAR_SKIP			= "[Skip]";
	$BACK_TO_TOP			= "[Back To Top]";
	$MISSING_SENDER			= "You did not enter your email address, so your message was not sent.";
	$MISSING_MESSAGE		= "You did not enter a message, so no message was sent.";
	$BAD_DESTINATION_FORMAT	= "Verification code on the web form at \"%@\" was not valid, so your message cannot be sent.";
	$MISSING_DESTINATION	= "Can't send message -- the creator of this web page did not specify a valid email address for receiving messages.";
	$UNABLE_TO_SEND_FORMAT	= "Unable to send mail message: %@";
	$UNABLE_TO_SEND			= "Unable to send mail message.";
	$FALLBACK_SUBJECT		= "Contact Form Message From your Sandvox Website";
	$MESSAGE_SENT			= "Your message was successfully sent via email.";
	$RETURN_TO_FORMAT		= "Return to %@";
}

?>